Bug 411051 - Cachefiles missing kernel modules
Cachefiles missing kernel modules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cachefilesd (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: David Howells
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 15:33 EST by Eric Moret
Modified: 2009-11-23 14:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 14:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2007-12-04 15:33:32 EST
Description of problem:
The cachefilesd package is missing a kernel module

Version-Release number of selected component (if applicable):

$ lsb_release -a
LSB Version:    :core-3.1-ia32:core-3.1-noarch:graphics-3.1-ia32:graphics-3.1-noarch
Distributor ID: Fedora
Description:    Fedora release 8 (Werewolf)
Release:        8
Codename:       Werewolf

$ uname -r
2.6.23.8-63.fc8

$ rpm -q kernel
kernel-2.6.23.8-63.fc8

$ rpm -q cachefilesd
cachefilesd-0.7-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install cachefilesd
$ sudo yum install cachefilesd

2. Start the cachefilesd service
$ sudo service cachefilesd start
  
Actual results:
$ sudo service cachefilesd start
Starting cachefilesd: FATAL: Module cachefiles not found.

Expected results:
Service should start and not complain of a missing module
Comment 1 Steve Dickson 2007-12-04 17:25:25 EST
David,

any plans on getting the latest FS-Cache modules into
to upstream and or f8?
Comment 2 David Howells 2007-12-10 10:49:40 EST
> any plans on getting the latest FS-Cache modules into
> to upstream and or f8?

Yes.  The patches are about ready to be pushed again.  I've got to sort out 
the NFS coherency problems though.  I have a potential patch to do that, but 
it needs testing and consultation first.
Comment 3 Eric Moret 2008-04-16 13:24:38 EDT
Any progress on this issue?
Comment 4 Bug Zapper 2008-11-26 03:50:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Eric Moret 2008-11-26 11:36:08 EST
Issue is still present in F9
Comment 6 kevin.t.bowen 2008-12-17 01:54:29 EST
Issue is still present in F10.

the cachefilesd package should probably be removed from the yum tree until this issue is fixed, since it's useless without the module (and nfs-utils stuff as well?)... so having the package available just leads to frustration and wasted time figuring out why it won't work.

Bugzilla won't let me update the version on the bug to F10 - Eric (original reporter), could you update it? Or is it considered better to open a new bug for F10?
Comment 7 Eric Moret 2008-12-17 02:25:12 EST
done, updated to F10
Comment 8 Phil Anderson 2009-04-11 21:25:45 EDT
I agree that cachefilesd should be removed.... It has lead to me wasting quite a bit of time rearranging my disk!
Comment 9 Eric Doutreleau 2009-06-30 09:20:21 EDT
the bug is still present in F11 :(
Comment 10 Bug Zapper 2009-11-18 02:45:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Eric Moret 2009-11-23 14:09:31 EST
This is now working on F12

Note You need to log in before you can comment on or make changes to this bug.